Name:           gnome-audio-locator
Version:        3.0.0
Release:        1%{?dist}
Summary:        Audio
License:        GPLv3+
URL:            http://www.gnome.audio/
Source:         %{url}/src/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  pango
BuildRequires:  libchamplain-devel
BuildRequires:  libxml2-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  geoclue2-devel
BuildRequires:  geocode-glib-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-bad-free-devel
BuildRequires:  gstreamer1-plugins-base-devel
Requires:       gstreamer1 >= 1.8.3
Requires:       gstreamer1-plugins-ugly-free >= 1.8.3
Requires:       geocode-glib >= 3.20.1
Requires:       gtk3 >= 3.24.34
Requires:       geoclue2 >= 2.5.7

%description

Audio is a Free Software program that allows you to easily locate Free
Live Audio Recordings on Internet with the help of map and text search.

Audio is developed on the GNOME desktop platform.

Audio supports Public Audio (www.npr.org) in USA.

%prep
%setup -q

%build
%configure --with-recording --disable-silent-rules --disable-schemas
%make_build
%install
%make_install
%find_lang %{name} --with-man

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%files -f %{name}.lang
%doc AUTHORS NEWS README TODO ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_bindir}/gnome-audio-locator
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/gnome-audio.svg
%{_mandir}/man1/%{name}.1*

%changelog
* Sat May 10 2025 Ole Aamot <ole@aamot.org> - 1.0-1
- Development gnome-audio 3.0 with Geoclue Location

* Sat May 10 2025 Ole Aamot <ole@aamot.org> - 1.0-1
- Development gnome-audio 2.0 with Noark5 Meta Info

* Fri Apr 25 2025 Ole Aamot <ole@aamot.org> - 1.0-1
- Initial gnome-audio 1.0 with Live Audio Recording
